﻿var MTHelper = {};

MTHelper.SendGetRequest = function (url, onSuccess, onError) {
    $.ajax({
        beforeSend: function (req) {
            req.setRequestHeader('Accept', 'application/json');
        },
        url: url,
        type: 'GET',
        contentType: 'application/json',
        success: onSuccess,
        timeout: 5000,
        error: onError,
        xhrFields: {
            withCredentials: true
        }
    });
};

MTHelper.GetQueryStringParameterValue = function (name) {
    var match = RegExp('[?&]' + name.toString().toLowerCase() + '=([^&]*)').exec(window.location.search.toString().toLowerCase());
    return match && decodeURIComponent(match[1].replace(/\+/g, ' '));
}